using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Fw.Utility.UnifyResponse;
using RestSharp;

namespace Hotline.Api.Sdk
{
    public partial interface IHotlineClient
    {
        Task<ApiResponse<TResponse>> ExecuteAsync<TRequest, TResponse>(string path, Method httpMethod, TRequest request,
            CancellationToken cancellationToken)
            where TRequest : class;

        Task<ApiResponse> ExecuteAsync<TRequest>(string path, Method httpMethod, TRequest request,
            CancellationToken cancellationToken)
            where TRequest : class;
    }
}
